The Joomla! Community Portal ™

Sat

12

Sep

2009

Please Help Test Version 1.5.15
Written by Mark Dexter   
Saturday, 12 September 2009 00:37

On August 5, we asked community members (that's you!) to help test proposed fixes to allow Joomla! to work correctly using PHP version 5.3. The response was very good. Since then, we have identified some more places that needed to be fixed, and we have also made a number of fixes to the TinyMCE editor.

For these reasons, we have created a new test release and are again asking the community to help us make sure this fixes what we think it does and doesn't create any new problems.

Ideally, we would like to get help from three groups of users: (1) those who use PHP 5.3; (2) those who do NOT use PHP 5.3 (to make sure we didn't break anything); and (3) those who use TinyMCE.

IMPORTANT NOTE: This download is only for testing should NOT be used in any type of production environment. It should only be used to test that it fixes any issues with PHP 5.3.0 and TinyMCE and doesn't create any new problems.

The download is available here: http://joomlacode.org/gf/download/frsrelease/11122/44166/Joomla_1.5.15-Test-Full_Package.zip. Install it like you would a "real" Joomla! version.

If you are testing TinyMCE, here is a link to the issues that were fixed: http://joomlacode.org/gf/download/trackeritem/17438/44165/TinyMCETestPlan.pdf.

If you find problems related to the PHP 5.3 fixes, please report them in the tracker here: http://joomlacode.org/gf/project/joomla/tracker/?action=TrackerItemEdit&tracker_item_id=18008. If you find TinyMCE problems, please report them in the tracker here: http://joomlacode.org/gf/project/joomla/tracker/?action=TrackerItemEdit&tracker_item_id=17438.

If you are able to test this and it works correctly, please leave a comment either in the tracker or below.

And thanks for helping to make Joomla! as bug-free as possible!